@charset "utf-8";
body { --mainColor:#222222; --mainBColor:#777777; --mainCColor:#b0b0b0; --mainCDolor:#fff000; --mainCEolor:#817b21; }
#content {  max-width: calc(100% - 15%);  margin: 0 0 0 auto;padding-bottom: 50px;}
.pageIndex .edit_part { padding: 250px 20px;}

/*滾輪*/
/*scrollbar*/
::-webkit-scrollbar { width: 0px;}
::-webkit-scrollbar-thumb { background: var(--mainCColor);}
::-webkit-scrollbar-track { background: #f7f7f7;}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */
/*header*/
/*選單移至側邊*/
.header_area{  position: fixed; width: 100%; right: 0;  top: 9%;  /*transform: translateY(-50%);*/
               width: fit-content; transition: 1.5s; background: transparent; border-bottom: none; left: 0; padding-left: 3.5%;}
.nav-header { max-width: 90px;grid-row: auto;  justify-content: flex-start;transition: 0.5s;}
.header_area.sticky .nav-header { max-width: 70px;}
.header_area.sticky:before { background: #f4f4f4; content: "";  height: 100%; width: 180px; position: absolute; left: 0; top: 0;}
.main_header_area{background: transparent;}


.header_area .main_header_area .container{  max-width: 100%; width: 100%;}

.header_area .navigation { display: flex; flex-direction: column;  justify-content: space-between; grid-gap: 35px; padding: 0px;}
.header_area .stellarnav{  display: flex; justify-content: flex-start; padding-left: 2px;}
.header_area .stellarnav>ul {
        width: auto; max-width: 160px; margin-right: auto; margin-left: 0; display: flex;
        flex-direction: column; align-items: flex-start; justify-content: flex-start;}
.header_area .stellarnav li{ text-align: left;}
.stellarnav li a { padding: 6px 10px;   color: #9a9a9a;  font-size: 11px; letter-spacing: 1px;}

.stellarnav li.has-sub > a:after { border-left: unset;border-right: unset; border-top: unset; content: "+";}
.header_area .stellarnav li li.has-sub > a:after{ float: unset; right: unset; left: 0; right: 0;  border-left: 0;}
/*.header_area .stellarnav > ul > li:nth-of-type(7)>a:after {  opacity: 0;}*/
.header_area .stellarnav ul ul,
.header_area .stellarnav ul ul ul {left: unset;  top: 0;  background: transparent;  position: relative; margin-bottom: 15px;}
.header_area .stellarnav ul ul ul {  position: absolute;  right: 100px;}
.header_area .stellarnav > ul > li > a { text-align: left; color: var(--mainBColor); line-height: 30px; height: 30px;  margin: 0; position: relative; letter-spacing: 2px; font-size: 14px; position: relative;}
.header_area .stellarnav > ul > li > a:before { content: "+"; position: absolute; left: 0;
        top: 0%;  height: 40px; line-height: 40px;  color: var(--mainCColor);  display: none;}
.header_area .stellarnav > ul > li > a:hover:before { display: block;}

/*.header_area .stellarnav > ul > li > a:hover:before { opacity: 1;}*/
.stellarnav > ul > li > a b:nth-of-type(2) { font-size: 12px;}
.stellarnav > ul > li > a b {padding-left: 0;}
.stellarnav > ul > li > a:hover b { padding-left: 20px;}

.header_area .stellarnav li li { border: 0;}
.header_area .stellarnav li li:hover > a , 
.header_area .stellarnav > ul > li > a:hover { color: var(--mainCColor);}

/*下滑*/
.header_area.sticky { width: fit-content; height: 100%; top: 0;  margin: auto 0; padding-right: 2%; padding-left: 2.5%;}
.header_area.sticky .main_header_area { margin: auto 0;  top: 50%;  transform: translateY(-50%); position: relative;}

/*icon*/
.me_tp_features { text-align: left; order: 3; display: none;}
.headerSticky .me_tp_features { display: block;}

.me_tp_features a i { margin: 0 10px 0 3px;}
.tp_links { display: flex; width: fit-content; flex-direction: column; align-items: center;}
.tp_links a { font-size: 15px; color: #666;transition: 0.5s; padding: 5px 3px;}
.tp_links a:hover { color: var(--mainCEolor);}
i.fa-solid.fa-phone-volume { display: none;}
.tp_links a.me_tp_fb { order: 2;}
.tp_links a.me_tp_mail { order: 4;}
.tp_links a.me_tp_yt {  order: 3;}
.tp_links:hover a { opacity: 0.6;}
.tp_links a:hover { opacity: 1;}


/* 商品下拉超過30個變大 */
/*
.stellarnav.desktop li.bigMenu>ul{display: grid; grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); left: 0; width: 100%; position: fixed; padding: 20px;}
.stellarnav.desktop li.bigMenu ul ul{top: 100%; left: 0; width: 100%; background: #efefef; height: auto; max-height: 300px; overflow: auto;}
.stellarnav.desktop li.bigMenu ul ul li{margin: 0;} 
.stellarnav.hasBigMenu li.bigMenu li.has-sub > a:after{border-left: 6px solid transparent; border-bottom:unset; border-right: 6px solid transparent; border-top: 6px solid #898989; right: 5px;}
*/
/* 主分類超過30個但次分類直接顯示*/ 
.stellarnav.desktop li.bigMenu>ul{grid-gap: 10px;}
.stellarnav.desktop li.bigMenu li{border: 0;}
.stellarnav.desktop li.bigMenu>ul>li>a{border: 1px solid #ddd;}
.stellarnav.desktop li.bigMenu ul ul{display: block !important; position: relative; top: 0; background: unset; border: 0;}
.stellarnav.desktop li.bigMenu ul ul li{border: 0;}

/*footer*/
.footer_logo { display: none; }
.footer { background: transparent; padding: 25px 0 50px;  max-width: calc(100% - 15%); margin: 0 0 0 auto; border-top: 1px solid #efefef;}
.footer .center { max-width: 100%; padding: 0 15px;}

.footer_info { grid-template-columns: 1fr; padding-right: 0px;}
.footer_info ul { max-width: 1200px; margin: 0 0 0 auto;}

.footer_info li:nth-child(1) { display: flex; flex-wrap: wrap; flex-direction: row; justify-content: flex-end;  text-align: right;}
.footer_info li:nth-child(2) { display: none;}
.footer_info li p {  padding: 0 80px 0 0; color: var(--mainBColor);  font-size: 12px; letter-spacing: 1px;  width: 100%; line-height: 200%;}
.footer_info li p.fax:before { content: '營業時間：';}
.footer_menu a:nth-of-type(1) { display: none;}/*首頁不顯示*/

.copy { text-align: right; padding: 7px 105px 7px 0; font-size: 13px; color: #cfcfcf; border-top: unset; margin-top: 5px; justify-content: end;}
.copy a { color:#cfcfcf;}
.copy a:hover { color: var(--mainCColor);}

/*大圖*/
.BannerHome03 .swiperBan03 { max-width: calc(100% - 15%);  margin: 0 0 0 auto;}
.BannerHome03 .thumbs03 { transform: translateX(0%); left: 3.5%; width: fit-content; bottom: 30px; overflow: inherit;}

.swiper-free-mode>.swiper-wrapper { display: flex; flex-direction: column;grid-gap: 15px 0; width: 100%; max-width: 8vw; margin: 0; position: relative}
.swiper-free-mode>.swiper-wrapper:before { content: "";  background: #ffffffb3;  position: absolute;  width: 100%; height: calc(100% - 30px);  z-index: 0;  right: -15px;  top: 7px;}

.swiper-wrapper {padding-top: 30px; position: relative;}
.swiper-wrapper:before { content: ""; position: absolute;  z-index: 999; pointer-events: none; background: #ffffffb8;
        background-size: contain; background-repeat: no-repeat;  top: 0%; right: 7%;  width: 1px; height: 0;  background-position: right;
        padding-bottom: calc(100% / 1 * 0.34); animation: slide-bottom 1.5s both; animation-delay: 0.5s;}
        
.BannerHome03 .swiperBan03 .swiper-slide img { height: auto;}
.BannerHome03 .thumbs03 .swiper-slide { width: 100% !important; position: relative; transition: 0.5s;}
.BannerHome03 .thumbs03 .swiper-slide:hover { margin-left: 10px;}
.BannerHome03 .thumbs03 .swiper-slide:before { right: -30px; position: absolute; bottom: 10px; font-weight: 300; letter-spacing: 2px; color: #888;}
.BannerHome03 .thumbs03 .swiper-slide:nth-of-type(1):before { content: "01";}
.BannerHome03 .thumbs03 .swiper-slide:nth-of-type(2):before { content: "02";}
.BannerHome03 .thumbs03 .swiper-slide:after { content: ""; background: #d8d8d8; width: 60px; height: 1px; right: -104px; bottom: 18px; position: absolute;}

.swiper-button-prev:after, .swiper-rtl .swiper-button-next:after ,
.swiper-button-next:after, .swiper-rtl .swiper-button-prev:after 
{ display: none;}/*輪播箭頭刪除*/
.BannerHome03 .swiper-slide { position: relative;}
.BannerHome03 .swiper-fade .swiper-slide-active:before { background: linear-gradient(to left, #00000054 0%, #00000000 100%);
        content: "";  position: absolute;  right: 0; height: 100%;  width: 500px; z-index: 999;}
.BannerHome03 .swiperBan03 .swiper-slide:after { content: ""; position: absolute; z-index: 999; pointer-events: none; background-size: contain; background-repeat: no-repeat;
        background-position: right;  width: 150px; height: 207px; right: 5%; bottom: 7%;}
.BannerHome03 .swiperBan03 .swiper-slide:nth-child(1):after{ background: url(https://pic03.eapple.com.tw/aaroninterior/banner01_be.svg);}
.BannerHome03 .swiperBan03 .swiper-slide:nth-child(2):after{ background: url(https://pic03.eapple.com.tw/aaroninterior/banner02_be.svg);}
.pageIndex .swiper-slide.swiper-slide-active:after{animation: slide-top 3s 0.7s both;}

/*下滑*/
.headerSticky .BannerHome03 .thumbs03 .swiper-slide:hover { margin-left: 0px;}
.headerSticky .BannerHome03 .thumbs03 { left: 14%;}
.headerSticky .BannerHome03 .thumbs03 .swiper-slide:before { right: -4px; bottom: auto; top: -6px; background: rgb(255 255 255 / 85%); padding: 5px;}
.headerSticky .BannerHome03 .thumbs03 .swiper-slide:after {display: none;}

@keyframes slide-top {
    0% {-webkit-transform: translateY(80%); transform: translateY(80%); opacity: 0; }
    100% { -webkit-transform: translateY(0%); transform: translateY(0%); opacity: 1;}
}

@keyframes slide-bottom {
    0% {-webkit-transform: translateY(-80%); transform: translateY(-80%); opacity: 0; }
    100% { -webkit-transform: translateY(0%); transform: translateY(0%); opacity: 1;}
}

/*特效END*/

/*共用*/
/*
.bannerindex .swiper-slide { position: relative;}
.bannerindex .swiper-slide:before {
    content: "";
    position: absolute;
    background: url();
    background-size: contain; 
    background-repeat: no-repeat;
    top: ;
    right:;
    width: 100% !important; 
    height: 0 !important;
    background-position: right;
    padding-bottom: calc(100% / 1* 0.2);
    z-index: 999;
}

/*分開*//*
#content_main {  margin: 0;}
.bannerindex { position: static; height: auto;}
.swiper-banner { position: static; margin: 0; height: auto;}
.swiper-slide { padding: 0px !important;}

.bannerindex .swiper-slide img { height: auto;}
.bannerindex .swiper-pagination { display: none;}
.bannerindex .swiper-slide { position: relative;}
.bannerindex .swiper-slide.swiper-slide-active:before {content: ""; position: absolute;  z-index: 999; pointer-events: none;}

/*第1張*//*
.bannerindex .swiper-slide:nth-child(1).swiper-slide-active:before {
    background: url(https://pic03.eapple.com.tw/jasoncurtains/banner01_be.svg);
    background-size: contain; background-repeat: no-repeat; top: 40%; right: 0%; width: 100% !important;  height: 0 !important;
    background-position: right; padding-bottom: calc(100% / 1* 0.25);}

.bannerindex .swiper-slide.swiper-slide-active:before {  animation: slide-right 2s both;  animation-delay: 0.5s;}

@keyframes slide-right {
    0% {-webkit-transform: translateX(80%); transform: translateX(80%); opacity: 0; }
    100% { -webkit-transform: translateX(0%); transform: translateX(0%); opacity: 1;}
}
/*特效END*/

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*預設購物車版面 產品分類選單在左側 商品內頁詳細介紹下表單更改樣式 by shint at 2025.12.18  */
.product_page .main_part { max-width:1500px;}

.product_page .show_content,
.product_info_page .show_content { display: flex; justify-content: space-between; flex-wrap: wrap; align-items: flex-start; align-content: flex-start; width: 100%;}
ul.page { width: 100%;}

.ProdFilter_Item_Show { width: 100%;}
.Prods_Menulists { width: 100%; padding: 0;}
.Prods_Wrap { width: calc(100% - 270px);}

/* 篩選器-左手邊 / 產品分類-上面
.ProdFilter_ { order: 2;}
.Prods_Menulists { order: 1;}
.Prods_Wrap { order: 3;}
.ProdFilter_ { width: 250px; letter-spacing: 1px;}
.ProdFilter_ li { width: 100%;}
.ProdFilter_ li > a { background: #f3f3f3; border: none; border-bottom: 3px #ddd solid;}
.ProdFilter_ dl { position: static; width: 100%; display: block;}
*/

/* 產品分類-左手邊 / 篩選器-上面 */

.ProdFilter_ { order: 1; margin-bottom: 25px;}
.Prods_Menulists { order: 2;}
.Prods_Wrap { order: 3;}
.Prods_Menulists { width: 250px; letter-spacing: 1px;}
.Prods_Menulists ul {}
.Prods_Menulists > ul > li { width: 100%; flex-wrap: wrap;}
.Prods_Menulists ul ul { position: static; border: none;}
.Prods_Menulists ul li ul li {}
.Prods_Menulists li.has-sub.open > a { background: #f0f0f0;}

.product_info_page .half_box { width: 100%; float: none; padding-right: 0;}
.product_info_page .half_box li.btn_blankTop { margin-top: 50px; justify-content: space-between; display: flex;}
.product_info_page .half_box li.btn_blankTop input { width: calc(50% - 10px); background-image: none; padding: 0; text-align: center;}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/* 2025.12.26 中間放大*/
.BannerHome02 .swiper-slide-active img { transform: scale(1);}
.BannerHome02 .swiperBan02 .swiper-slide img { transition: transform 5s ease-out; will-change: transform; transform: scale(1);}
.BannerHome02 .swiperBan02 .swiper-slide-active img { transform: scale(1.06);}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */




/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*內頁BANNER 設定*/
.banner {}
.banner h5 {}
.banner.banA {}
.banner.banB {}
.banner.banC {}
.banner.banD {}
.banner.banE {}
.banner.banblog {}
.banner.banDesign { background-color:#333;}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*文章設定*/
/*一排呈現
.subbox_item { width:100%;}
*/
  

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本分類全版面 ( 限制最寬2000px
.work_page .main_part { max-width:2000px;}
.work_page .show_content { padding:0; width:100%;}
.work_page .show-list .item { width:33%; display:inline-block; float:none; margin:0; padding:0;}
@media screen and (max-width: 768px) {
.work_page .show-list .item { width:49%;}
}
@media screen and (max-width: 570px) {
.work_page .show-list .item { width:100%;}
}
.work_page .show-list .item a { max-width:100%;}
.work_page .show-list .show_pic { height:auto; line-height:0;}
.work_page .show-list .show_pic img { max-width:100%; max-height:100%;}
.work_page .show-list .show_name { position:absolute; top:50%; right:10%; width:80%; height:auto; line-height:160%; font-size: 20px; color: #FFFFFF !important; border: solid 1px #fff; text-align: center; margin: -20px 0 0 -120px; padding:5px 20px; transition:all ease-in .3s; opacity:0;}
.work_page .show-list .item:hover .show_name {opacity:1;}
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本列表
.work_info_page .main_part { max-width:2000px;}
.work_info_page .show_content { padding:0; width:100%;}
.work_info_page .subalbum-menu { text-align:center;}
.work_info_page .subalbum-menu h2 { float:none;}
.work_info_page .pic-list .item { margin:0; padding:10px; width:49%; float:none; display:inline-block;}
@media screen and (max-width: 768px) {
.work_info_page .pic-list .item { width:100%;}
}
.work_info_page .pic-list .show_pic { height:auto; line-height:0;}
.work_info_page .pic-list .show_pic img { max-width:100%; max-height:100%;}
.work_info_page .pic-list .item a { max-width:100%; pointer-events: none; cursor: default; } 取消連結被點擊效果
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */
@media screen and (max-width: 1200px) {
}
@media screen and (max-width: 1024px) {
/*購物車*/    
.product_main { display: block; width: 100%;}    
.sidebarBtn { display: block; width: 100%;}
}
@media screen and (max-width: 980px) {
}
@media screen and (max-width: 768px) {
/* 開啟手機板下方按鈕所需設定 */
#bottom_menu {}
.footer.with_shopping_mode { padding:30px 0 70px; }
#to_top { bottom:60px;}

/*購物車*/
/* 篩選器-左手邊 / 產品分類-上面
.Prods_Wrap { width: 100%;}
.ProdFilter_ { width: 100%;}
.ProdFilter_Item_Show { width: calc(100% - 110px);}
.ProdFilter_ { order: 1;}
.Prods_Menulists { order: 2;}
.ProdFilter_ li > a span { color: #333;}
*/
.Prods_Wrap { width: 100%; margin-top: 20px;}
.ProdFilter_ { width: 100%;}
.Prods_Menulists { opacity: 0; display: none;}

}
@media screen and (max-width: 600px) {
}





